"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRTL = void 0;
var expo_localization_1 = require("expo-localization");
var i18next_1 = __importDefault(require("i18next"));
var react_i18next_1 = require("react-i18next");
var react_native_1 = require("react-native");
var resources_1 = require("./resources");
var utils_1 = require("./utils");
__exportStar(require("./utils"), exports);
i18next_1.default.use(react_i18next_1.initReactI18next).init({
    resources: resources_1.resources,
    lng: (0, utils_1.getLanguage)() || expo_localization_1.locale, // TODO: if you are not supporting multiple languages or languages with multiple directions you can set the default value to `en`
    fallbackLng: 'en',
    compatibilityJSON: 'v3', // By default React Native projects does not support Intl
    // allows integrating dynamic values into translations.
    interpolation: {
        escapeValue: false, // escape passed in values to avoid XSS injections
    },
});
// Is it a RTL language?
exports.isRTL = i18next_1.default.dir() === 'rtl';
react_native_1.I18nManager.allowRTL(exports.isRTL);
react_native_1.I18nManager.forceRTL(exports.isRTL);
exports.default = i18next_1.default;
//# sourceMappingURL=index.js.map