import * as React from 'react';
type TextButtonVariant = 'brand' | 'neutral' | 'neutralLow' | 'inverse';
type TextButtonSize = 'small' | 'medium' | 'large';
interface IconProps {
    icon: React.ReactNode;
    gap?: string | number;
}
interface TextButtonProps {
    variant?: TextButtonVariant;
    size?: TextButtonSize;
    text: string;
    disabled?: boolean;
    bold?: boolean;
    underline?: boolean;
    leftIcon?: IconProps;
    rightIcon?: IconProps;
    className?: string;
    onPress?: () => void;
}
export default function TextButton({ variant, size, text, disabled, bold, underline, leftIcon, rightIcon, className, onPress, }: TextButtonProps): React.JSX.Element;
export {};
//# sourceMappingURL=text-button.d.ts.map