"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSelectors = exports.openLinkInBrowser = void 0;
var react_native_1 = require("react-native");
function openLinkInBrowser(url) {
    react_native_1.Linking.canOpenURL(url).then(function (canOpen) { return canOpen && react_native_1.Linking.openURL(url); });
}
exports.openLinkInBrowser = openLinkInBrowser;
var createSelectors = function (_store) {
    var store = _store;
    store.use = {};
    var _loop_1 = function (k) {
        store.use[k] = function () { return store(function (s) { return s[k]; }); };
    };
    for (var _i = 0, _a = Object.keys(store.getState()); _i < _a.length; _i++) {
        var k = _a[_i];
        _loop_1(k);
    }
    return store;
};
exports.createSelectors = createSelectors;
//# sourceMappingURL=utils.js.map